com.unitech.lib.reader.event

## Class ReaderEventManager

- java.lang.Object
- - com.unitech.lib.reader.event.ReaderEventManager

-     public class ReaderEventManager
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ReaderEventManager.ActionChangedEventArgs`
    `class` | `ReaderEventManager.BatteryStateEventArgs`
    `class` | `ReaderEventManager.KeyChangedEventArgs`
    `class` | `ReaderEventManager.NotificationStateEventArgs`
    `class` | `ReaderEventManager.StateChangedEventArgs`
    `class` | `ReaderEventManager.TemperatureStateEventArgs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReaderEventManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(IReaderEventListener listener)`
    `void` | `clear()`
    `void` | `destroy()`
    `void` | `generateReaderActionChanged(BaseReader reader, ResultCode code, ActionState action, java.lang.Object params)`
    `void` | `generateReaderBatteryState(BaseReader reader, int batteryState, java.lang.Object params)`
    `void` | `generateReaderKeyChanged(BaseReader reader, KeyType type, KeyState state, java.lang.Object params)`
    `void` | `generateReaderNotificationState(BaseReader reader, NotificationState state, java.lang.Object params)`
    `void` | `generateReaderStateChanged(BaseReader reader, ConnectState state, java.lang.Object params)`
    `void` | `generateReaderTemperatureState(BaseReader reader, double temperature, java.lang.Object params)`
    `void` | `removeListener(IReaderEventListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReaderEventManager

          public ReaderEventManager()

  - ### Method Detail

    - #### destroy

          public void destroy()

    - #### addListener

          public void addListener(IReaderEventListener listener)

    - #### removeListener

          public void removeListener(IReaderEventListener listener)

    - #### clear

          public void clear()

    - #### generateReaderStateChanged

          public void generateReaderStateChanged(BaseReader reader,
                                                 ConnectState state,
                                                 java.lang.Object params)

    - #### generateReaderActionChanged

          public void generateReaderActionChanged(BaseReader reader,
                                                  ResultCode code,
                                                  ActionState action,
                                                  java.lang.Object params)

    - #### generateReaderBatteryState

          public void generateReaderBatteryState(BaseReader reader,
                                                 int batteryState,
                                                 java.lang.Object params)

    - #### generateReaderKeyChanged

          public void generateReaderKeyChanged(BaseReader reader,
                                               KeyType type,
                                               KeyState state,
                                               java.lang.Object params)

    - #### generateReaderNotificationState

          public void generateReaderNotificationState(BaseReader reader,
                                                      NotificationState state,
                                                      java.lang.Object params)

    - #### generateReaderTemperatureState

          public void generateReaderTemperatureState(BaseReader reader,
                                                     double temperature,
                                                     java.lang.Object params)